Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.www
Class SlaveServerStatus

    java.lang.Object
      org.pentaho.di.www.SlaveServerStatus

    public class SlaveServerStatus

extends Object

Field Summary
`static String` | `XML_TAG`

Constructor Summary
`SlaveServerStatus()`
`SlaveServerStatus(Node statusNode)`
`SlaveServerStatus(String statusDescription)`
`SlaveServerStatus(String statusDescription, List<SlaveServerTransStatus> transStatusList, List<SlaveServerJobStatus> jobStatusList)`

Method Summary
`SlaveServerJobStatus` | `findJobStatus(String jobName)`
`SlaveServerTransStatus` | `findTransStatus(String transName)`
`static SlaveServerStatus` | `fromXML(String xml)`
`String` | `getErrorDescription()`
`List<SlaveServerJobStatus>` | `getJobStatusList()`
`String` | `getStatusDescription()`
`List<SlaveServerTransStatus>` | `getTransStatusList()`
`String` | `getXML()`
`void` | `setErrorDescription(String errorDescription)`
`void` | `setJobStatusList(List<SlaveServerJobStatus> jobStatusList)`
`void` | `setStatusDescription(String statusDescription)`
`void` | `setTransStatusList(List<SlaveServerTransStatus> transStatusList)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XML_TAG

    public static final String XML_TAG

See Also:
  Constant Field Values

Constructor Detail

### SlaveServerStatus

    public SlaveServerStatus()

### SlaveServerStatus

    public SlaveServerStatus(String statusDescription)

### SlaveServerStatus

    public SlaveServerStatus(String statusDescription,
                             List<SlaveServerTransStatus> transStatusList,
                             List<SlaveServerJobStatus> jobStatusList)

Parameters:
  `statusDescription` -
  `transStatusList` -
  `jobStatusList` -

### SlaveServerStatus

    public SlaveServerStatus(Node statusNode)

Method Detail

### getXML

    public String getXML()

### fromXML

    public static SlaveServerStatus fromXML(String xml)
                                     throws org.pentaho.di.core.exception.KettleXMLException

  Throws:
    `org.pentaho.di.core.exception.KettleXMLException`

### getStatusDescription

    public String getStatusDescription()

  Returns:
    the statusDescription

### setStatusDescription

    public void setStatusDescription(String statusDescription)

  Parameters:
    `statusDescription` - the statusDescription to set

### getTransStatusList

    public List<SlaveServerTransStatus> getTransStatusList()

  Returns:
    the transStatusList

### setTransStatusList

    public void setTransStatusList(List<SlaveServerTransStatus> transStatusList)

  Parameters:
    `transStatusList` - the transStatusList to set

### getErrorDescription

    public String getErrorDescription()

  Returns:
    the errorDescription

### setErrorDescription

    public void setErrorDescription(String errorDescription)

  Parameters:
    `errorDescription` - the errorDescription to set

### findTransStatus

    public SlaveServerTransStatus findTransStatus(String transName)

### findJobStatus

    public SlaveServerJobStatus findJobStatus(String jobName)

### getJobStatusList

    public List<SlaveServerJobStatus> getJobStatusList()

  Returns:
    the jobStatusList

### setJobStatusList

    public void setJobStatusList(List<SlaveServerJobStatus> jobStatusList)

  Parameters:
    `jobStatusList` - the jobStatusList to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD